Forum:Lisp
Thema:Pfadlänge für vl-directory-files
Möchten Sie sich registrieren?
Wer darf antworten? Registrierte Benutzer können Beiträge verfassen.
Hinweise zur Registrierung Sie müssen registriert sein, um Beiträge oder Antworten auf Beiträge schreiben zu können.
Ihr Benutzername:
Ihr Kennwort:   Kennwort vergessen?
Anhang:    Datei(en) anhängen  <?>   Anhänge verwalten  <?>
Grafik für den Beitrag:                                                
                                                       
Ihre Antwort:

Fachbegriff
URL
Email
Fett
Kursiv
Durchgestr.
Liste
*
Bild
Zitat
Code

*HTML ist AUS
*UBB-Code ist AN
Smilies Legende
Netiquette

10 20 40

Optionen Smilies in diesem Beitrag deaktivieren.
Signatur anfügen: die Sie bei den Voreinstellungen angegeben haben.

Wenn Sie bereits registriert sind, aber Ihr Kennwort vergessen haben, klicken Sie bitte hier.

Bitte drücken Sie nicht mehrfach auf "Antwort speichern".

*Ist HTML- und/oder UBB-Code aktiviert, dann können Sie HTML und/oder UBB Code in Ihrem Beitrag verwenden.

T H E M A     A N S E H E N
Andreas Kraus

Beiträge: 1179 / 1

WIN 10
ACAD 2017

Hallo zusammen,
ich kann hier Verzeichnisse erstellen bis zu einer maximalen Pfadlänge von 247 Zeichen (ich habs versucht, mehr wird nicht angenommen).
vl-directory-files kann das auch verarbeiten. 

Jetzt hab ich hier auf dem Netzlaufwerk längere Pfade
vl-directory-files kann das NICHT verarbeiten. 

Gibts da ne Lösung, außer Pfade kürzen ?

------------------
Geht nicht, gibts nicht

Gruß
Andreas

http://kraus-cad.de

CADmium

Beiträge: 13446 / 249

.

und übers FSO ?

(defun dt-directory-files (DIRNAME / FSO DIR FILES)
  (if(and(=(type DIRNAME)'STR)
        (setq FSO (vlax-create-object "Scripting.FilesystemObject"))
    )
    (progn
      (if (vlax-method-applicable-p FSO 'GETFOLDER)
        (if(vl-catch-all-error-p
            (setq DIR(vl-catch-all-apply
                          'vlax-invoke-method
                          (list FSO
                                'GETFOLDER
                                FOLDERNAME
                          )
                        )                             
            )               
          )
          (setq DIR nil)

      )
      (if (and DIR
              (vlax-property-available-p DIR "FILES")
              (not(vl-catch-all-error-p
                    (setq DIR(vl-catch-all-apply
                                  'vlax-get-property
                                  (list DIR "FILES")
                                )
                    )
                  )
              )
          )
        (vlax-for ITEM DIR (setq FILES(cons (vlax-get-property ITEM 'NAME) FILES)))       
      ) 
      (vlax-release-object FSO)
      FILES
    ) 
  ) 
)

------------------
Also ich finde Unities gut ... und andere sicher auch
---------------------------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Andreas Kraus

Beiträge: 1179 / 1

WIN 10
ACAD 2017

Interessant !!!
Muss ich mir mal reintun
(hab ich glaub ich schon mal gesehen, habs aber damals nicht gerafft - nächster Versuch  )

Danke

------------------
Geht nicht, gibts nicht

Gruß
Andreas

http://kraus-cad.de